POST
/api/public/v1/support-cases

Open a support case

Open a new support case. You become the case owner.

Request Body

PropertyTypeDescription
subjectstringSubject line (max 75 chars).
bodystringInitial body (max 500 chars).
severitystringSeverity level.
typestringCase type.
POSTExample request
curl
curl -X POST "https://www.pxb.app/api/public/v1/support-cases" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "subject": "API key not working",
    "body": "I created an API key but I keep getting 401 responses.",
    "severity": "HIGH",
    "type": "TECHNICAL"
  }'
200Example response
json
{
  "message": "Support case created successfully!",
  "content": {
    "supportCase": {
      "id": "case_1",
      "status": "OPEN"
    }
  }
}